org.apache.hadoop.mapreduce.lib.output

## Class SequenceFileAsBinaryOutputFormat.WritableValueBytes

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.output.SequenceFileAsBinaryOutputFormat.WritableValueBytes

- All Implemented Interfaces:
    org.apache.hadoop.io.SequenceFile.ValueBytes
  Direct Known Subclasses:
    SequenceFileAsBinaryOutputFormat.WritableValueBytes
  Enclosing class:
    SequenceFileAsBinaryOutputFormat

      public static class SequenceFileAsBinaryOutputFormat.WritableValueBytes
      extends Object
      implements org.apache.hadoop.io.SequenceFile.ValueBytes

  Inner class used for appendRaw

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableValueBytes()`
    `WritableValueBytes(org.apache.hadoop.io.BytesWritable value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()`
    `void` | `reset(org.apache.hadoop.io.BytesWritable value)`
    `void` | `writeCompressedBytes(DataOutputStream outStream)`
    `void` | `writeUncompressedBytes(DataOutputStream outStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WritableValueBytes

          public WritableValueBytes()

    - #### WritableValueBytes

          public WritableValueBytes(org.apache.hadoop.io.BytesWritable value)

  - ### Method Detail

    - #### reset

          public void reset(org.apache.hadoop.io.BytesWritable value)

    - #### writeUncompressedBytes

          public void writeUncompressedBytes(DataOutputStream outStream)
                                      throws IOException

      Specified by:
        `writeUncompressedBytes` in interface `org.apache.hadoop.io.SequenceFile.ValueBytes`
      Throws:
        `IOException`

    - #### writeCompressedBytes

          public void writeCompressedBytes(DataOutputStream outStream)
                                    throws IllegalArgumentException,
                                           IOException

      Specified by:
        `writeCompressedBytes` in interface `org.apache.hadoop.io.SequenceFile.ValueBytes`
      Throws:
        `IllegalArgumentException`
        `IOException`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `org.apache.hadoop.io.SequenceFile.ValueBytes`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.